function get_flash(id,path,width,height,codebase_version,classid)
{
        var tag = document.getElementById(id);
        var code = '';

        code = '<object classid="clsid:'+classid+'" width="'+width+'" height="'+height+'" codebase="http://download.macromedia.com/pub/shockwave/cabs/flash/swflash.cab#version='+codebase_version+'">';
        code += '<param name="movie" value="'+path+'"><param name="play" value="true"><param name="loop" value="true"><param name="quality" value="high"><param name="menu" value="false"><param name="wmode" value="transparent">';
        code += '<embed src="'+path+'" wmode="transparent" loop="true" quality="high" menu="false" type="application/x-shockwave-flash" pluginspage="http://www.macromedia.com/go/getflashplayer" width="'+width+'" height="'+height+'"></object>';
        tag.innerHTML = code;
}

function fixPNG(element)
{
	if (/MSIE (5\.5|6).+Win/.test(navigator.userAgent))
	{
		var src;
		
		if (element.tagName=='IMG')
		{
			if (/\.png$/.test(element.src))
			{
				src = element.src;
				element.src = "/pic/blank.gif";
			}
		}
		else
		{
			src = element.currentStyle.backgroundImage.match(/url\("(.+\.png)"\)/i)
			if (src)
			{
				src = src[1];
				element.runtimeStyle.backgroundImage="none";
			}
		}
		if (src) element.runtimeStyle.filter = "progid:DXImageTransform.Microsoft.AlphaImageLoader(src='" + src + "',sizingMethod='scale')";
	}
}

